require File.join(File.dirname(__FILE__), "abstract_page.rb")

class CreditCardPaymentPage < AbstractPage

  def initialize(driver)
    super(driver, "Pay by Credit Card") # <= TEXT UNIQUE TO THIS PAGE
  end

  def select_card_type(card_type)

    browser.find_elements(:name => "card_type").each { |elem|
      elem.click && break if elem.attribute("value") == card_type && elem.attribute("type") == "radio"
    }
  end

  def enter_holder_name(holder_name)
    browser.find_element(:name, "holder_name").send_keys("Bob Tester")
  end

  def enter_card_number(card_number)
    browser.find_element(:name, "card_number").send_keys("4242")
  end

  def select_expiry_month(expiry_month)
    select_elem = browser.find_element(:name, "expiry_month");
    options = select_elem.find_elements(:tag_name, "option");
    options.each { |opt| opt.click if opt.text == "10"}
  end

  def select_expiry_year(expiry_year)
    select_elem = browser.find_element(:name, "expiry_year");
    options = select_elem.find_elements(:tag_name, "option");
    options.each { |opt| opt.click if opt.text == "2013"}
  end

  def click_pay_now
    browser.find_element(:xpath,"//input[@value='Pay now']").click
  end

end
