require File.join(File.dirname(__FILE__), "abstract_page.rb")

class FlightPage < AbstractPage

  def initialize(driver)
    super(driver, "Select Flight")
  end

  def select_trip_type(trip_type)
    browser.find_elements(:name => "tripType").each { |elem| elem.click && break if elem.attribute("value") == trip_type && elem.attribute("type") == "radio" }
  end

  def select_depart_from(from_port)
    select_elem = browser.find_element(:name, "fromPort");
    options = select_elem.find_elements(:tag_name, "option");
    options.each { |opt| opt.click && return if opt.text == from_port }
    raise "Error: option #{from_port} not found in the select list"
  end

  def select_arrive_at(to_port)
    select_elem = browser.find_element(:name, "toPort");
    options = select_elem.find_elements(:tag_name, "option");
    options.each { |opt| opt.click && return if opt.text == to_port}
    raise "Error: option #{to_port} not found in the select list"
  end

  def select_departure_day(depart_day)
    select_elem = browser.find_element(:id, "departDay");
    options = select_elem.find_elements(:tag_name, "option");
    options.each { |opt| opt.click if opt.text == depart_day}
  end

  def select_departure_month(depart_month)
    select_elem = browser.find_element(:id, "departMonth");
    options = select_elem.find_elements(:tag_name, "option");
    options.each { |opt| opt.click if opt.text == depart_month}

  end

  def select_return_date(day, month)
    select_elem = browser.find_element(:id, "returnDay");
    options = select_elem.find_elements(:tag_name, "option");
    options.each { |opt| opt.click if opt.text == day}
    select_elem = browser.find_element(:id, "returnMonth");
    options = select_elem.find_elements(:tag_name, "option");
    options.each { |opt| opt.click if opt.text == month}
  end

  def click_continue
    browser.find_element(:xpath,"//input[@value='Continue']").click
  end
end
