load File.dirname(__FILE__) + '/../test_helper.rb'

describe "User Login" do
  include TestHelper

  before(:all) do
    @driver = $browser = Selenium::WebDriver.for(browser_type)
    driver.navigate.to(site_url)
  end

  before(:each) do
    driver.navigate.to(site_url)
  end
  
  after(:all) do
    driver.quit unless debugging?
  end

  it "Can sign in OK" do
    driver.find_element(:id, "username").send_keys("agileway")
    driver.find_element(:id, "password").send_keys("testwise")
    driver.find_element(:id, "username").submit
    # selenium does not have browser.text yet
    try_for(3) {  driver.page_source.include?("Welcome").should == true }
    driver.find_element(:link_text, "Sign off").click
    sleep 0.5 # let sign off to complete
  end

  it "User failed to sign in due to invalid password" do
    driver.find_element(:id, "username").send_keys("agileway")
    driver.find_element(:id, "password").send_keys("badpass")
    driver.find_element(:id, "username").submit
    driver.page_source.include?("Invalid email or password").should == true
  end

end
