load File.join(File.dirname(__FILE__), "/../test_helper.rb")

describe "Flight Finder" do
  include TestHelper

  before(:all) do
    @browser = Watir::Browser.new
    @browser.goto(site_url)
  end

  before(:each) do
    @browser.goto(site_url)
    login_as("agileway") # see bottom
  end

  after(:each) do
    failsafe { sign_off }
  end

  after(:all) do
    browser.close unless debugging?
  end

  it "Oneway Trip" do
    flight_finder_page =  FlightFinderPage.new(browser)
    flight_finder_page.select_trip_type_one_way
    select_flight_page = flight_finder_page.click_continue
    browser.text.should include("oneway trip")
  end


  it "Return Trip" do
    flight_finder_page =  FlightFinderPage.new(browser)
    flight_finder_page.select_trip_type_return
    select_flight_page = flight_finder_page.click_continue
    browser.text.should include("return trip")
    
  end

end
