load File.dirname(__FILE__) + '/abstract_page.rb'

class FlightFinderPage < AbstractPage

  def initialize(browser)
    super(browser, "Select Flight")
  end

  def select_departing_from(depart_from)
    browser.select_list(:name, "fromPort").select(depart_from)
  end

  def select_departing_month(depart_month)
    browser.select_list(:id, "departMonth").select(depart_month)
  end

  def select_departing_day(depart_day)
    browser.select_list(:name, "departDay").select(depart_day)
  end

  def select_arriving_in(arriving_in)
    browser.select_list(:name, "toPort").select(arriving_in)
  end

  def select_returning_month(return_month)
    browser.select_list(:id, "returnMonth").select(return_month)
  end

  def select_returning_day(return_day)
    browser.select_list(:name, "returnDay").select(return_day)
  end

  def select_service_class(service_class)
    browser.radio(:name, "servClass", service_class).click
  end

  def select_trip_type_one_way
    browser.radio(:name => "tripType", :value => "oneway").click
  end

  def select_trip_type_return
    browser.radio(:name => "tripType", :value => "return").click
  end

  def click_continue
    browser.button(:value, "Continue").click
#    browser.button(:src, /continue\.gif/).click
    PassengerPage.new(browser)
  end

end
